# Class TextOptimizer

java.lang.Object
org.apache.jasper.compiler.TextOptimizer

public class TextOptimizer extends Object

## Constructor Summary

Constructors
Constructor
Description
`TextOptimizer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`concatenate(Compiler compiler, Node.Nodes page)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextOptimizer

public TextOptimizer()

## Method Details

### concatenate

public static void concatenate(Compiler compiler, Node.Nodes page) throws JasperException

Throws:
  `JasperException`